Loading...
Searching...
No Matches
Opm::satfunc::RawTableEndPoints Struct Reference

Collection of unscaled/raw saturation range endpoints extracted directly from tables of tabulated saturation functions. More...

`#include <SatfuncPropertyInitializers.hpp>`

## Public Member Functions

bool | operator== (const RawTableEndPoints &other) const

## Public Attributes

struct { |
std::vector< double > gas |
| Connate gas saturation. More...
std::vector< double > water |
| Connate water saturation. More...
} | connate
| Connate saturation endpoints.
struct { |
std::vector< double > oil_in_gas |
| Critical saturation of oil in oil/gas two-phase system. More...
std::vector< double > oil_in_water |
| Critical saturation of oil in oil/water two-phase system. More...
std::vector< double > gas |
| Critical saturation of gas. More...
std::vector< double > water |
| Critical saturation of water. More...
} | critical
| Critical saturation endpoints.
struct { |
std::vector< double > gas |
| Maximum gas saturation value. More...
std::vector< double > water |
| Maximum water saturation value. More...
} | maximum
| Maximum saturation endpoints.

## Detailed Description

Collection of unscaled/raw saturation range endpoints extracted directly from tables of tabulated saturation functions.

## Member Data Documentation

## gas

std::vector<double> Opm::satfunc::RawTableEndPoints::gas

Connate gas saturation.

Maximum gas saturation value.

Critical saturation of gas.

One value for each saturation region. All zero values unless gas is an active phase.

One value for each saturation region. All zero values unless oil is an active phase.

One value for each saturation region All zero values unless gas is an active phase.

## oil_in_gas

std::vector<double> Opm::satfunc::RawTableEndPoints::oil_in_gas

Critical saturation of oil in oil/gas two-phase system.

One value for each saturation region. All zero values unless oil is an active phase.

## oil_in_water

std::vector<double> Opm::satfunc::RawTableEndPoints::oil_in_water

Critical saturation of oil in oil/water two-phase system.

One value for each saturation region. All zero values unless oil is an active phase.

## water

std::vector<double> Opm::satfunc::RawTableEndPoints::water

Connate water saturation.

Maximum water saturation value.

Critical saturation of water.

One value for each saturation region. All zero values unless water is an active phase.

One value for each saturation region. All zero values unless oil is an active phase.

One value for each saturation region All zero values unless gas is an active phase.

The documentation for this struct was generated from the following file:

- opm/input/eclipse/EclipseState/Grid/SatfuncPropertyInitializers.hpp